Cantera 2.6.0

Namespaces | Functions | Variables
application.cpp File Reference
`#include "application.h"`
`#include "cantera/base/ctml.h"`
`#include "cantera/base/stringUtils.h"`
`#include "units.h"`
`#include <fstream>`
`#include <sstream>`
`#include <mutex>`
`#include <sys/stat.h>`
Include dependency graph for application.cpp:

Go to the source code of this file.

## Namespaces
namespace | Cantera
| Namespace for the Cantera kernel.

## Functions
int | get_modified_time (const std::string &path)

## Variables
static std::mutex | dir_mutex
| Mutex for input directory access. More...
static std::mutex | app_mutex
| Mutex for creating singletons within the application object. More...
static std::mutex | xml_mutex
| Mutex for controlling access to XML file storage. More...
static std::mutex | msg_mutex
| Mutex for access to string messages. More...